{ config, pkgs, inputs, ... }:

{
	programs.helix = {
		enable = true;
		package = inputs.helix.packages."x86_64-linux".default;
		settings = {
			theme = "rose_pine_moon";
			editor = {
				line-number = "relative";
				lsp.display-messages = true;
				scrolloff = 5;
				middle-click-paste = false;
				cursorline = true;
				auto-format = false;
				idle-timeout = 400;
				color-modes = true;
				soft-wrap.enable = true;
				whitespace = {
					render = {
						space = "none";
						tab = "none";
						newline = "none";
					};
				};
				indent-guides = {
					render = true;
					character = "▏";
				};
			};
		};
		languages = {
			language = [{
				name = "nix";
				scope = "flake.nix";
				roots = [ "flake.nix" "flake.lock" ];
				injection-regex = "nix";
				auto-format = false;
				file-types = [ "nix" ];
				comment-token = "#";
				indent = {
					tab-width = 2;
					unit = "  ";
				};
				language-servers = [ "${pkgs.nil}" ];
				formatter = {
					command = "${pkgs.nixpkgs-fmt}";
				};
			}];
#			grammar = [{
#				name = "nix";
#				source = {
#					git = "https://github.com/nix-community/tree-sitter-nix";
#					rev = "66e3e9ce9180ae08fc57372061006ef83f0abde7";
#				};
#			}];
		};
	};
}
